About Elasticsearch

Asked 2 months ago, Updated 2 months ago, 2 views

After downloading elasticsearch, it stopped due to an error.
I would appreciate it if someone could tell me.

AS IS
When I entered the elasticsearch command, elasticsearch came up, but
bundle exec rake search_index:create_and_import command causes an error

rake aborted!

Elasticsearch::Transport::Transport::Errors::BadRequest: [400] {"error":{"root_cause":[{"type":"mapper_parsing_exception","reason":"Failed to parse mapping [service]: The [string] type is removed in 5.0 and automatic upgrade failed because parameters [boost] are not supported for automatic upgrades. You should now use either a [text] or [keyword] field instead for field [name]"}],"type":"mapper_parsing_exception","reason":"Failed to parse mapping [service]: The [string] type is removed in 5.0 and automatic upgrade failed because parameters [boost] are not supported for automatic upgrades. You should now use either a [text] or [keyword] field instead for field [name]","caused_by":{"type":"illegal_argument_exception","reason":"The [string] type is removed in 5.0 and automatic upgrade failed cause parameters [boot] are not supported for automatic upgrades. You should now use either a [text] or [keyword] field installed for field [name]"}}, "status":400}
    

ruby elasticsearch

2022-09-30 11:51

2 Answers

Self-resolved
Install ver1-5-2 and it's done


2022-09-30 11:51


in gemfile for the same symptom write gem 'elasticsearch', '2.4.1'

In bundle update elasticsearch,
Could not find gem'elasticsearch(=2.4.1)'in any of the gem sources listed in your Gemfile..

What should I do?


2022-09-30 11:51

If you have any answers or tips


© 2022 OneMinuteCode. All rights reserved.